CMSIS-DSP: arm_spline_instance_f32 Struct Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_spline_instance_f32 Struct Reference

Instance structure for the floating-point cubic spline interpolation.

## Data Fields

arm_spline_type | type
const float32_t * | x
const float32_t * | y
uint32_t | n_x
float32_t * | coeffs

## Field Documentation

float32_t* arm_spline_instance_f32::coeffs

Coefficients buffer (b,c, and d)

uint32_t arm_spline_instance_f32::n_x

Number of known data points

arm_spline_type arm_spline_instance_f32::type

Type (boundary conditions)

const float32_t* arm_spline_instance_f32::x

x values

const float32_t* arm_spline_instance_f32::y

y values